Skip to main content
GET
/
v1
/
stocks
/
prev
Get Previous Day Bar
curl --request GET \
  --url https://api.aries.com/v1/stocks/prev \
  --header 'Authorization: Bearer <token>'
{
  "adjusted": true,
  "queryCount": 1,
  "requestId": "82a13adb7cdd6b2dab0c4bea3cba1540",
  "results": [
    {
      "c": 271.01,
      "h": 277.84,
      "l": 269,
      "n": 641453,
      "o": 272.255,
      "t": 1767387600000,
      "v": 37782525,
      "vw": 271.9204,
      "T": "AAPL"
    }
  ],
  "resultsCount": 1,
  "status": "OK",
  "ticker": "AAPL"
}

Documentation Index

Fetch the complete documentation index at: https://finance.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

ticker
string
required

Stock ticker symbol, such as AAPL. Use the exact ticker for the company you want to research.

Example:

"AAPL"

adjusted
boolean

Whether to adjust historical prices for stock splits. Use true for normalized charting and false for raw market data.

Example:

true

Response

Successful response

adjusted
boolean

Whether or not the results are adjusted for splits

queryCount
integer

Number of results returned

requestId
string

Unique request ID

results
object[]

Array containing previous day bar

resultsCount
integer

Total number of results

status
string

Status of the response

ticker
string

Stock ticker symbol, such as AAPL. Use the exact ticker for the company you want to research.